const CMD = {}
const HttpClient = require('../../../src/HttpClient')
const config = require('../../../etc/config.json')
const helper = require('../../helper')

// 获取点众充值模板
CMD.get_recharge_template = async function(channelId,call_back){
    let clinet = new HttpClient()
    let timestamp = helper.getCurrentUnixTimestamp()
    let signKey = helper.md5(config.dianzhong_config.clientId+config.dianzhong_config.token+timestamp)
    let response = await clinet.post(config.dianzhong_config.batchlist_hots,{
        channelId:channelId,
        clientId:config.dianzhong_config.clientId,
        timestamp:timestamp,
        signKey:signKey
    })
    call_back(response)
}
module.exports = CMD;